Home

# Class goog.net.xpc.IframeRelayTransport

Iframe relay transport. Creates hidden iframes containing a document from the peer's origin. Data is transferred in the fragment identifier. Therefore the document loaded in the iframes can be served from the browser's cache.

extends goog.net.xpc.Transport

Instance Method Summary
| `connect()` Connects this transport.

`disposeInternal()`

Deletes or nulls out any references to COM objects, DOM nodes, or other disposable objects. Classes that extend {@code goog.Disposable} should override this method. Not reentrant. To avoid calling it twice, it must only be called from the subclass' {@code disposeInternal} method. Everywhere else the public {@code dispose} method must be used. For example:

    mypackage.MyClass = function() {
    goog.base(this);
    // Constructor logic specific to MyClass.
    ...
    };
    goog.inherits(mypackage.MyClass, goog.Disposable);

    mypackage.MyClass.prototype.disposeInternal = function() {
    goog.base(this, 'disposeInternal');
    // Dispose logic specific to MyClass.
    ...
    };

| `send(string service, string payload)` Sends a message.
| `send_(string service, string encodedPayload, string= opt_fragmentIdStr)` Sends an encoded message or message fragment.
| `transportServiceHandler(string payload)` Handles transport service messages (internal signalling).

Static Method Summary
| `cleanupCb_()` Function which wraps cleanup_().
| `cleanup_(number= opt_maxAge)` Remove all relay-iframes which are older than the maximal age.
| `iframeLoadHandler_()` The iframe load handler. Gets called as method on the iframe element.
| `receiveMessage_(string channelName, string frame)` Processes an incoming message.
| `startCleanupTimer_()` Starts the cleanup timer.